From: Luk Claes <luk@debian.org>
Date: Sat, 18 Jun 2011 08:50:58 +0000 (+0200)
Subject: Only use rpcbind's rpcinfo when it's available
X-Git-Tag: debian/1%1.2.4-1~7
X-Git-Url: https://git.decadent.org.uk/gitweb/?a=commitdiff_plain;h=4e01e0a096880cbff37ba542a66838b3115355bc;p=nfs-utils.git

Only use rpcbind's rpcinfo when it's available
---

diff --git a/debian/nfs-common.init b/debian/nfs-common.init
index 9027410..5e30d95 100644
--- a/debian/nfs-common.init
+++ b/debian/nfs-common.init
@@ -139,14 +139,15 @@ case "$1" in
 	    log_progress_msg "statd"
 	    
 	    # See if rpcbind is running
-	    /usr/sbin/rpcinfo -p >/dev/null 2>&1
-	    RET=$?
-	    if [ $RET != 0 ]; then
-		echo
-		log_warning_msg "Not starting: portmapper is not running"
-		exit 0
+	    if [ -x /usr/sbin/rpcinfo ]; then
+		/usr/sbin/rpcinfo -p >/dev/null 2>&1
+		RET=$?
+		if [ $RET != 0 ]; then
+		   echo
+		   log_warning_msg "Not starting: portmapper is not running"
+		   exit 0
+		fi
 	    fi
-
 	    start-stop-daemon --start --oknodo --quiet \
 		--pidfile /var/run/rpc.statd.pid \
 	        --exec $PREFIX/sbin/rpc.statd -- $STATDOPTS